# $Revision: 1.58 $, $Date: 2005/07/23 21:31:51 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Params
%define		pnam	Validate
Summary:	Params::Validate - validate method/function parameters
Summary(pl):	Params::Validate - sprawdzanie poprawnoci parametrw funkcji/metody
Name:		perl-Params-Validate
Version:	0.78
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/D/DR/DROLSKY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8b6951214915c33addc4cc16e047546f
%if %{with tests}
BuildRequires:	perl-Attribute-Handlers
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-Taint
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Params::Validate module allows you to validate method or function
call parameters to an arbitrary level of specificity.  At the simplest
level, it is capable of validating the required parameters were given
and that no unspecified additional parameters were passed in.

It is also capable of determining that a parameter is of a specific
type, that it is an object of a certain class hierarchy, that it
possesses certain methods, or applying validation callbacks to
arguments.

%description -l pl
Modu Params::Validate pozwala na sprawdzanie poprawnoci parametrw,
z jakimi wywoana zostaa funkcja lub metoda, na dowolnym poziomie
szczegowoci.  W najprostszym przypadku moliwe jest sprawdzenie,
czy podane zostay parametry wymagane i czy nie podano dodatkowych,
nie rozpoznawanych.

Potrafi take okreli czy parametr jest konkretnego typu, czy jest
obiektem danej hierarchii, czy posiada zadane metody, lub przypisa
argumentom callbacki (a, i tak wszyscy wiedz, o co chodzi... ;-> )
sprawdzajce.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/auto/%{pdir}
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}
%{perl_vendorarch}/auto/%{pdir}/%{pnam}/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/%{pnam}/*.so
%dir %{perl_vendorarch}/Attribute
%dir %{perl_vendorarch}/Attribute/%{pdir}
%{perl_vendorarch}/Attribute/%{pdir}/*.pm
%dir %{perl_vendorarch}/%{pdir}
%{perl_vendorarch}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Params-Validate.spec,v $
Revision 1.58  2005/07/23 21:31:51  radek
- version 0.78

Revision 1.57  2005/06/02 18:14:05  qboosh
- updated to 0.77

Revision 1.56  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.55  2004/11/15 19:00:48  paladine
- updated to 0.76

Revision 1.54  2004/11/03 22:30:39  paladine
- formatting

Revision 1.53  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.52  2004/05/06 18:43:20  ankry
- fixed perl-devel BR

Revision 1.51  2004/05/06 05:34:00  ankry
- cosmetics

Revision 1.50  2004/04/22 19:04:51  agaran
- uncomented BR for test as that spec is in repository now(just added)

Revision 1.49  2004/04/13 23:29:06  migo
- missing BR

Revision 1.48  2004/04/05 10:45:36  adamg
- updated to 0.74

Revision 1.47  2004/03/29 17:10:48  adamg
- updated to 0.73

Revision 1.46  2004/01/24 23:30:18  arekm
- autoupdated to 0.72

Revision 1.45  2003/11/11 00:22:05  radek
- s/prostrzy/prostszy/

Revision 1.44  2003/11/08 18:22:00  migo
- up to 0.69
- Makefile.PL is braindead, can't enable compiled version explicitly

Revision 1.43  2003/11/01 12:39:08  qboosh
- updated to 0.68
- removed _noautoreq - current perl.prov finds Provides: perl(Params::ValidatePP)

Revision 1.42  2003/10/08 17:50:25  migo
- up to 0.66
- new bcond style, cosmetics

Revision 1.41  2003/09/18 13:20:34  adamg
- updated to 0.65

Revision 1.40  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.39  2003/08/18 08:09:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.38  2003/06/11 13:06:10  qboosh
- missing dirs (seem not used by anything else)

Revision 1.37  2003/06/11 12:56:29  qboosh
- cosmetics from RA-branch, up to 0.59

Revision 1.36  2003/05/25 06:24:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.34  2003/03/13 00:03:34  ankry
- merge from RA-branch: updated to 0.57

Revision 1.33  2003/03/01 20:22:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.32  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.31  2003/02/22 23:06:44  ankry
- typo in _noautoreq definition

Revision 1.30  2003/02/22 22:15:21  ankry
- updated to 0.55

Revision 1.29  2003/02/21 23:44:57  ankry
- autoupdated to 0.54

Revision 1.28  2003/02/19 23:58:43  ankry
- autoupdated to 0.53

Revision 1.27  2003/02/18 23:50:56  ankry
- autoupdated to 0.52

Revision 1.26  2003/02/18 15:37:36  ankry
- massive attack: change CPAN URLs

Revision 1.25  2003/01/23 08:43:16  qboosh
- cannot be noarch any longer

Revision 1.24  2003/01/22 22:05:17  radek
- version 0.51 (changes: XS version, so much faster)
- provided informative summary/description
- added tests

Revision 1.23  2002/07/22 11:07:13  ankry
- pl translation fixes
- don't use macros in Name: it decreases readability
- Changes does not exist

Revision 1.22  2002/07/22 08:56:21  qboosh
- removed %%{perl_sitelib}/Attribute dir (belongs to perl-Attribute-Handlers)
- release 2

Revision 1.21  2002/07/21 23:15:07  radek
- version 0.24, STBR

Revision 1.20  2002/07/20 10:23:28  qboosh
- BR: perl-Attribute-Handlers, removed unused OPTIMIZE

Revision 1.19  2002/07/15 07:37:18  depesz
- new version (0.21)
- STBR

Revision 1.18  2002/07/12 09:04:41  qboosh
- new %%doc and cosmetics

Revision 1.17  2002/07/11 08:02:42  depesz
- new version; should work; STBR

Revision 1.16  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 22:09:04  marcus
- rel.2.

Revision 1.14  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/12 01:40:24  kloczek
- updated %%files list.

Revision 1.12  2002/02/12 01:30:41  kloczek
- updated to 0.11.

Revision 1.11  2002/02/10 15:41:12  depesz
adapterized

Revision 1.10  2002/02/09 13:44:20  depesz
wrong path

Revision 1.9  2002/02/09 12:59:38  depesz
- unified source path

Revision 1.8  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/27 12:26:08  qboosh
- use _noautoreq instead of ugly patch

Revision 1.6  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.5  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.4  2001/10/01 09:54:39  mis
- autoupdated to 0.07

Revision 1.3  2001/09/10 13:04:16  mis
- autoupdated to 0.06

Revision 1.2  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.1  2001/04/18 02:11:32  baggins
- initial revision
